// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-demo-fx-dtos.proto

package com.accelfin.server.demo.fx.dtos;

/**
 * Protobuf type {@code com.accelfin.server.demo.fx.dtos.CashBlotterUpdateResponseDto}
 */
public  final class CashBlotterUpdateResponseDto extends
    com.google.protobuf.GeneratedMessage implements
    // @@protoc_insertion_point(message_implements:com.accelfin.server.demo.fx.dtos.CashBlotterUpdateResponseDto)
    CashBlotterUpdateResponseDtoOrBuilder {
  // Use CashBlotterUpdateResponseDto.newBuilder() to construct.
  private CashBlotterUpdateResponseDto(com.google.protobuf.GeneratedMessage.Builder<?> builder) {
    super(builder);
  }
  private CashBlotterUpdateResponseDto() {
    updateType_ = 0;
    trades_ = java.util.Collections.emptyList();
  }

  @java.lang.Override
  public final com.google.protobuf.UnknownFieldSet
  getUnknownFields() {
    return com.google.protobuf.UnknownFieldSet.getDefaultInstance();
  }
  private CashBlotterUpdateResponseDto(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    this();
    int mutable_bitField0_ = 0;
    try {
      boolean done = false;
      while (!done) {
        int tag = input.readTag();
        switch (tag) {
          case 0:
            done = true;
            break;
          default: {
            if (!input.skipField(tag)) {
              done = true;
            }
            break;
          }
          case 8: {
            int rawValue = input.readEnum();

            updateType_ = rawValue;
            break;
          }
          case 18: {
            if (!((mutable_bitField0_ & 0x00000002) == 0x00000002)) {
              trades_ = new java.util.ArrayList<com.accelfin.server.demo.fx.dtos.TradeDto>();
              mutable_bitField0_ |= 0x00000002;
            }
            trades_.add(input.readMessage(com.accelfin.server.demo.fx.dtos.TradeDto.parser(), extensionRegistry));
            break;
          }
        }
      }
    } catch (com.google.protobuf.InvalidProtocolBufferException e) {
      throw e.setUnfinishedMessage(this);
    } catch (java.io.IOException e) {
      throw new com.google.protobuf.InvalidProtocolBufferException(
          e).setUnfinishedMessage(this);
    } finally {
      if (((mutable_bitField0_ & 0x00000002) == 0x00000002)) {
        trades_ = java.util.Collections.unmodifiableList(trades_);
      }
      makeExtensionsImmutable();
    }
  }
  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return com.accelfin.server.demo.fx.dtos.AccelfinServerDemoFxDtos.internal_static_com_accelfin_server_demo_fx_dtos_CashBlotterUpdateResponseDto_descriptor;
  }

  protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return com.accelfin.server.demo.fx.dtos.AccelfinServerDemoFxDtos.internal_static_com_accelfin_server_demo_fx_dtos_CashBlotterUpdateResponseDto_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            com.accelfin.server.demo.fx.dtos.CashBlotterUpdateResponseDto.class, com.accelfin.server.demo.fx.dtos.CashBlotterUpdateResponseDto.Builder.class);
  }

  private int bitField0_;
  public static final int UPDATE_TYPE_FIELD_NUMBER = 1;
  private int updateType_;
  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.BlotterUpdateTypeDto update_type = 1;</code>
   */
  public int getUpdateTypeValue() {
    return updateType_;
  }
  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.BlotterUpdateTypeDto update_type = 1;</code>
   */
  public com.accelfin.server.demo.fx.dtos.BlotterUpdateTypeDto getUpdateType() {
    com.accelfin.server.demo.fx.dtos.BlotterUpdateTypeDto result = com.accelfin.server.demo.fx.dtos.BlotterUpdateTypeDto.forNumber(updateType_);
    return result == null ? com.accelfin.server.demo.fx.dtos.BlotterUpdateTypeDto.UNRECOGNIZED : result;
  }

  public static final int TRADES_FIELD_NUMBER = 2;
  private java.util.List<com.accelfin.server.demo.fx.dtos.TradeDto> trades_;
  /**
   * <code>repeated .com.accelfin.server.demo.fx.dtos.TradeDto trades = 2;</code>
   */
  public java.util.List<com.accelfin.server.demo.fx.dtos.TradeDto> getTradesList() {
    return trades_;
  }
  /**
   * <code>repeated .com.accelfin.server.demo.fx.dtos.TradeDto trades = 2;</code>
   */
  public java.util.List<? extends com.accelfin.server.demo.fx.dtos.TradeDtoOrBuilder> 
      getTradesOrBuilderList() {
    return trades_;
  }
  /**
   * <code>repeated .com.accelfin.server.demo.fx.dtos.TradeDto trades = 2;</code>
   */
  public int getTradesCount() {
    return trades_.size();
  }
  /**
   * <code>repeated .com.accelfin.server.demo.fx.dtos.TradeDto trades = 2;</code>
   */
  public com.accelfin.server.demo.fx.dtos.TradeDto getTrades(int index) {
    return trades_.get(index);
  }
  /**
   * <code>repeated .com.accelfin.server.demo.fx.dtos.TradeDto trades = 2;</code>
   */
  public com.accelfin.server.demo.fx.dtos.TradeDtoOrBuilder getTradesOrBuilder(
      int index) {
    return trades_.get(index);
  }

  private byte memoizedIsInitialized = -1;
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    if (updateType_ != com.accelfin.server.demo.fx.dtos.BlotterUpdateTypeDto.NORMAL.getNumber()) {
      output.writeEnum(1, updateType_);
    }
    for (int i = 0; i < trades_.size(); i++) {
      output.writeMessage(2, trades_.get(i));
    }
  }

  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    if (updateType_ != com.accelfin.server.demo.fx.dtos.BlotterUpdateTypeDto.NORMAL.getNumber()) {
      size += com.google.protobuf.CodedOutputStream
        .computeEnumSize(1, updateType_);
    }
    for (int i = 0; i < trades_.size(); i++) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(2, trades_.get(i));
    }
    memoizedSize = size;
    return size;
  }

  private static final long serialVersionUID = 0L;
  public static com.accelfin.server.demo.fx.dtos.CashBlotterUpdateResponseDto parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static com.accelfin.server.demo.fx.dtos.CashBlotterUpdateResponseDto parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static com.accelfin.server.demo.fx.dtos.CashBlotterUpdateResponseDto parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static com.accelfin.server.demo.fx.dtos.CashBlotterUpdateResponseDto parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static com.accelfin.server.demo.fx.dtos.CashBlotterUpdateResponseDto parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input);
  }
  public static com.accelfin.server.demo.fx.dtos.CashBlotterUpdateResponseDto parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static com.accelfin.server.demo.fx.dtos.CashBlotterUpdateResponseDto parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static com.accelfin.server.demo.fx.dtos.CashBlotterUpdateResponseDto parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static com.accelfin.server.demo.fx.dtos.CashBlotterUpdateResponseDto parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input);
  }
  public static com.accelfin.server.demo.fx.dtos.CashBlotterUpdateResponseDto parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(com.accelfin.server.demo.fx.dtos.CashBlotterUpdateResponseDto prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessage.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * Protobuf type {@code com.accelfin.server.demo.fx.dtos.CashBlotterUpdateResponseDto}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessage.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:com.accelfin.server.demo.fx.dtos.CashBlotterUpdateResponseDto)
      com.accelfin.server.demo.fx.dtos.CashBlotterUpdateResponseDtoOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return com.accelfin.server.demo.fx.dtos.AccelfinServerDemoFxDtos.internal_static_com_accelfin_server_demo_fx_dtos_CashBlotterUpdateResponseDto_descriptor;
    }

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return com.accelfin.server.demo.fx.dtos.AccelfinServerDemoFxDtos.internal_static_com_accelfin_server_demo_fx_dtos_CashBlotterUpdateResponseDto_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              com.accelfin.server.demo.fx.dtos.CashBlotterUpdateResponseDto.class, com.accelfin.server.demo.fx.dtos.CashBlotterUpdateResponseDto.Builder.class);
    }

    // Construct using com.accelfin.server.demo.fx.dtos.CashBlotterUpdateResponseDto.newBuilder()
    private Builder() {
      maybeForceBuilderInitialization();
    }

    private Builder(
        com.google.protobuf.GeneratedMessage.BuilderParent parent) {
      super(parent);
      maybeForceBuilderInitialization();
    }
    private void maybeForceBuilderInitialization() {
      if (com.google.protobuf.GeneratedMessage.alwaysUseFieldBuilders) {
        getTradesFieldBuilder();
      }
    }
    public Builder clear() {
      super.clear();
      updateType_ = 0;

      if (tradesBuilder_ == null) {
        trades_ = java.util.Collections.emptyList();
        bitField0_ = (bitField0_ & ~0x00000002);
      } else {
        tradesBuilder_.clear();
      }
      return this;
    }

    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return com.accelfin.server.demo.fx.dtos.AccelfinServerDemoFxDtos.internal_static_com_accelfin_server_demo_fx_dtos_CashBlotterUpdateResponseDto_descriptor;
    }

    public com.accelfin.server.demo.fx.dtos.CashBlotterUpdateResponseDto getDefaultInstanceForType() {
      return com.accelfin.server.demo.fx.dtos.CashBlotterUpdateResponseDto.getDefaultInstance();
    }

    public com.accelfin.server.demo.fx.dtos.CashBlotterUpdateResponseDto build() {
      com.accelfin.server.demo.fx.dtos.CashBlotterUpdateResponseDto result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    public com.accelfin.server.demo.fx.dtos.CashBlotterUpdateResponseDto buildPartial() {
      com.accelfin.server.demo.fx.dtos.CashBlotterUpdateResponseDto result = new com.accelfin.server.demo.fx.dtos.CashBlotterUpdateResponseDto(this);
      int from_bitField0_ = bitField0_;
      int to_bitField0_ = 0;
      result.updateType_ = updateType_;
      if (tradesBuilder_ == null) {
        if (((bitField0_ & 0x00000002) == 0x00000002)) {
          trades_ = java.util.Collections.unmodifiableList(trades_);
          bitField0_ = (bitField0_ & ~0x00000002);
        }
        result.trades_ = trades_;
      } else {
        result.trades_ = tradesBuilder_.build();
      }
      result.bitField0_ = to_bitField0_;
      onBuilt();
      return result;
    }

    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof com.accelfin.server.demo.fx.dtos.CashBlotterUpdateResponseDto) {
        return mergeFrom((com.accelfin.server.demo.fx.dtos.CashBlotterUpdateResponseDto)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(com.accelfin.server.demo.fx.dtos.CashBlotterUpdateResponseDto other) {
      if (other == com.accelfin.server.demo.fx.dtos.CashBlotterUpdateResponseDto.getDefaultInstance()) return this;
      if (other.updateType_ != 0) {
        setUpdateTypeValue(other.getUpdateTypeValue());
      }
      if (tradesBuilder_ == null) {
        if (!other.trades_.isEmpty()) {
          if (trades_.isEmpty()) {
            trades_ = other.trades_;
            bitField0_ = (bitField0_ & ~0x00000002);
          } else {
            ensureTradesIsMutable();
            trades_.addAll(other.trades_);
          }
          onChanged();
        }
      } else {
        if (!other.trades_.isEmpty()) {
          if (tradesBuilder_.isEmpty()) {
            tradesBuilder_.dispose();
            tradesBuilder_ = null;
            trades_ = other.trades_;
            bitField0_ = (bitField0_ & ~0x00000002);
            tradesBuilder_ = 
              com.google.protobuf.GeneratedMessage.alwaysUseFieldBuilders ?
                 getTradesFieldBuilder() : null;
          } else {
            tradesBuilder_.addAllMessages(other.trades_);
          }
        }
      }
      onChanged();
      return this;
    }

    public final boolean isInitialized() {
      return true;
    }

    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      com.accelfin.server.demo.fx.dtos.CashBlotterUpdateResponseDto parsedMessage = null;
      try {
        parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        parsedMessage = (com.accelfin.server.demo.fx.dtos.CashBlotterUpdateResponseDto) e.getUnfinishedMessage();
        throw e.unwrapIOException();
      } finally {
        if (parsedMessage != null) {
          mergeFrom(parsedMessage);
        }
      }
      return this;
    }
    private int bitField0_;

    private int updateType_ = 0;
    /**
     * <code>optional .com.accelfin.server.demo.fx.dtos.BlotterUpdateTypeDto update_type = 1;</code>
     */
    public int getUpdateTypeValue() {
      return updateType_;
    }
    /**
     * <code>optional .com.accelfin.server.demo.fx.dtos.BlotterUpdateTypeDto update_type = 1;</code>
     */
    public Builder setUpdateTypeValue(int value) {
      updateType_ = value;
      onChanged();
      return this;
    }
    /**
     * <code>optional .com.accelfin.server.demo.fx.dtos.BlotterUpdateTypeDto update_type = 1;</code>
     */
    public com.accelfin.server.demo.fx.dtos.BlotterUpdateTypeDto getUpdateType() {
      com.accelfin.server.demo.fx.dtos.BlotterUpdateTypeDto result = com.accelfin.server.demo.fx.dtos.BlotterUpdateTypeDto.forNumber(updateType_);
      return result == null ? com.accelfin.server.demo.fx.dtos.BlotterUpdateTypeDto.UNRECOGNIZED : result;
    }
    /**
     * <code>optional .com.accelfin.server.demo.fx.dtos.BlotterUpdateTypeDto update_type = 1;</code>
     */
    public Builder setUpdateType(com.accelfin.server.demo.fx.dtos.BlotterUpdateTypeDto value) {
      if (value == null) {
        throw new NullPointerException();
      }
      
      updateType_ = value.getNumber();
      onChanged();
      return this;
    }
    /**
     * <code>optional .com.accelfin.server.demo.fx.dtos.BlotterUpdateTypeDto update_type = 1;</code>
     */
    public Builder clearUpdateType() {
      
      updateType_ = 0;
      onChanged();
      return this;
    }

    private java.util.List<com.accelfin.server.demo.fx.dtos.TradeDto> trades_ =
      java.util.Collections.emptyList();
    private void ensureTradesIsMutable() {
      if (!((bitField0_ & 0x00000002) == 0x00000002)) {
        trades_ = new java.util.ArrayList<com.accelfin.server.demo.fx.dtos.TradeDto>(trades_);
        bitField0_ |= 0x00000002;
       }
    }

    private com.google.protobuf.RepeatedFieldBuilder<
        com.accelfin.server.demo.fx.dtos.TradeDto, com.accelfin.server.demo.fx.dtos.TradeDto.Builder, com.accelfin.server.demo.fx.dtos.TradeDtoOrBuilder> tradesBuilder_;

    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.TradeDto trades = 2;</code>
     */
    public java.util.List<com.accelfin.server.demo.fx.dtos.TradeDto> getTradesList() {
      if (tradesBuilder_ == null) {
        return java.util.Collections.unmodifiableList(trades_);
      } else {
        return tradesBuilder_.getMessageList();
      }
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.TradeDto trades = 2;</code>
     */
    public int getTradesCount() {
      if (tradesBuilder_ == null) {
        return trades_.size();
      } else {
        return tradesBuilder_.getCount();
      }
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.TradeDto trades = 2;</code>
     */
    public com.accelfin.server.demo.fx.dtos.TradeDto getTrades(int index) {
      if (tradesBuilder_ == null) {
        return trades_.get(index);
      } else {
        return tradesBuilder_.getMessage(index);
      }
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.TradeDto trades = 2;</code>
     */
    public Builder setTrades(
        int index, com.accelfin.server.demo.fx.dtos.TradeDto value) {
      if (tradesBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        ensureTradesIsMutable();
        trades_.set(index, value);
        onChanged();
      } else {
        tradesBuilder_.setMessage(index, value);
      }
      return this;
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.TradeDto trades = 2;</code>
     */
    public Builder setTrades(
        int index, com.accelfin.server.demo.fx.dtos.TradeDto.Builder builderForValue) {
      if (tradesBuilder_ == null) {
        ensureTradesIsMutable();
        trades_.set(index, builderForValue.build());
        onChanged();
      } else {
        tradesBuilder_.setMessage(index, builderForValue.build());
      }
      return this;
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.TradeDto trades = 2;</code>
     */
    public Builder addTrades(com.accelfin.server.demo.fx.dtos.TradeDto value) {
      if (tradesBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        ensureTradesIsMutable();
        trades_.add(value);
        onChanged();
      } else {
        tradesBuilder_.addMessage(value);
      }
      return this;
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.TradeDto trades = 2;</code>
     */
    public Builder addTrades(
        int index, com.accelfin.server.demo.fx.dtos.TradeDto value) {
      if (tradesBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        ensureTradesIsMutable();
        trades_.add(index, value);
        onChanged();
      } else {
        tradesBuilder_.addMessage(index, value);
      }
      return this;
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.TradeDto trades = 2;</code>
     */
    public Builder addTrades(
        com.accelfin.server.demo.fx.dtos.TradeDto.Builder builderForValue) {
      if (tradesBuilder_ == null) {
        ensureTradesIsMutable();
        trades_.add(builderForValue.build());
        onChanged();
      } else {
        tradesBuilder_.addMessage(builderForValue.build());
      }
      return this;
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.TradeDto trades = 2;</code>
     */
    public Builder addTrades(
        int index, com.accelfin.server.demo.fx.dtos.TradeDto.Builder builderForValue) {
      if (tradesBuilder_ == null) {
        ensureTradesIsMutable();
        trades_.add(index, builderForValue.build());
        onChanged();
      } else {
        tradesBuilder_.addMessage(index, builderForValue.build());
      }
      return this;
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.TradeDto trades = 2;</code>
     */
    public Builder addAllTrades(
        java.lang.Iterable<? extends com.accelfin.server.demo.fx.dtos.TradeDto> values) {
      if (tradesBuilder_ == null) {
        ensureTradesIsMutable();
        com.google.protobuf.AbstractMessageLite.Builder.addAll(
            values, trades_);
        onChanged();
      } else {
        tradesBuilder_.addAllMessages(values);
      }
      return this;
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.TradeDto trades = 2;</code>
     */
    public Builder clearTrades() {
      if (tradesBuilder_ == null) {
        trades_ = java.util.Collections.emptyList();
        bitField0_ = (bitField0_ & ~0x00000002);
        onChanged();
      } else {
        tradesBuilder_.clear();
      }
      return this;
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.TradeDto trades = 2;</code>
     */
    public Builder removeTrades(int index) {
      if (tradesBuilder_ == null) {
        ensureTradesIsMutable();
        trades_.remove(index);
        onChanged();
      } else {
        tradesBuilder_.remove(index);
      }
      return this;
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.TradeDto trades = 2;</code>
     */
    public com.accelfin.server.demo.fx.dtos.TradeDto.Builder getTradesBuilder(
        int index) {
      return getTradesFieldBuilder().getBuilder(index);
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.TradeDto trades = 2;</code>
     */
    public com.accelfin.server.demo.fx.dtos.TradeDtoOrBuilder getTradesOrBuilder(
        int index) {
      if (tradesBuilder_ == null) {
        return trades_.get(index);  } else {
        return tradesBuilder_.getMessageOrBuilder(index);
      }
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.TradeDto trades = 2;</code>
     */
    public java.util.List<? extends com.accelfin.server.demo.fx.dtos.TradeDtoOrBuilder> 
         getTradesOrBuilderList() {
      if (tradesBuilder_ != null) {
        return tradesBuilder_.getMessageOrBuilderList();
      } else {
        return java.util.Collections.unmodifiableList(trades_);
      }
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.TradeDto trades = 2;</code>
     */
    public com.accelfin.server.demo.fx.dtos.TradeDto.Builder addTradesBuilder() {
      return getTradesFieldBuilder().addBuilder(
          com.accelfin.server.demo.fx.dtos.TradeDto.getDefaultInstance());
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.TradeDto trades = 2;</code>
     */
    public com.accelfin.server.demo.fx.dtos.TradeDto.Builder addTradesBuilder(
        int index) {
      return getTradesFieldBuilder().addBuilder(
          index, com.accelfin.server.demo.fx.dtos.TradeDto.getDefaultInstance());
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.TradeDto trades = 2;</code>
     */
    public java.util.List<com.accelfin.server.demo.fx.dtos.TradeDto.Builder> 
         getTradesBuilderList() {
      return getTradesFieldBuilder().getBuilderList();
    }
    private com.google.protobuf.RepeatedFieldBuilder<
        com.accelfin.server.demo.fx.dtos.TradeDto, com.accelfin.server.demo.fx.dtos.TradeDto.Builder, com.accelfin.server.demo.fx.dtos.TradeDtoOrBuilder> 
        getTradesFieldBuilder() {
      if (tradesBuilder_ == null) {
        tradesBuilder_ = new com.google.protobuf.RepeatedFieldBuilder<
            com.accelfin.server.demo.fx.dtos.TradeDto, com.accelfin.server.demo.fx.dtos.TradeDto.Builder, com.accelfin.server.demo.fx.dtos.TradeDtoOrBuilder>(
                trades_,
                ((bitField0_ & 0x00000002) == 0x00000002),
                getParentForChildren(),
                isClean());
        trades_ = null;
      }
      return tradesBuilder_;
    }
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return this;
    }

    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return this;
    }


    // @@protoc_insertion_point(builder_scope:com.accelfin.server.demo.fx.dtos.CashBlotterUpdateResponseDto)
  }

  // @@protoc_insertion_point(class_scope:com.accelfin.server.demo.fx.dtos.CashBlotterUpdateResponseDto)
  private static final com.accelfin.server.demo.fx.dtos.CashBlotterUpdateResponseDto DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new com.accelfin.server.demo.fx.dtos.CashBlotterUpdateResponseDto();
  }

  public static com.accelfin.server.demo.fx.dtos.CashBlotterUpdateResponseDto getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<CashBlotterUpdateResponseDto>
      PARSER = new com.google.protobuf.AbstractParser<CashBlotterUpdateResponseDto>() {
    public CashBlotterUpdateResponseDto parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
        return new CashBlotterUpdateResponseDto(input, extensionRegistry);
    }
  };

  public static com.google.protobuf.Parser<CashBlotterUpdateResponseDto> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<CashBlotterUpdateResponseDto> getParserForType() {
    return PARSER;
  }

  public com.accelfin.server.demo.fx.dtos.CashBlotterUpdateResponseDto getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

